<?php if( ! defined('BASEPATH')) exit('No direct script access allowed');
class Industry_catalog extends Controller
{
	
	function Industry_catalog()
	{
		parent::Controller();
		check_is_login();
		$this->load->database();
		$this->load->model("shop_admin/Industry_catalog_model");
		$this->load->library('form_validation');
	}
	function index()
	{
		$data=array(
			'catalog_list'=>$this->Industry_catalog_model->get_records()
		);
		$this->load->view(TPL_FOLDER."Industry_catalog_list",$data);
	}
	
	function make_industry_cache()
	{
		$this->db->select('cat_name,cid');
		$this->db->where('parent_id',0);
		$this->db->order_by('seqorder','ASC');
		$query = $this->db->get('shop_industry_catalog');
		$catalog = array();
		if($query->num_rows() > 0)
		{
			$catalog = $query->result_array();
		}
		$str = '$config["industry_catalog"] = ';
		$str .= var_export($catalog,true);
		$str .= ';';
		$this->load->helper('file');
		$string = read_file(APPPATH.'config/industry_catalog_config'.EXT);
		$reg = '/\$config\[\"industry_catalog\"\].+;/is';
		preg_match_all( $reg ,$string , $out  );
		if(isset($out[0][0]))
		{
			$string = str_replace($out[0][0],$str,$string);
			write_file(APPPATH.'config/industry_catalog_config'.EXT, $string);
			$tx_msg="<li>行业类目缓存生成成功.</li>";
			echo_msg($tx_msg,'','yes');
		}
		else
		{
			$tx_msg="<li>行业类目缓存生成失败.</li>";
			echo_msg($tx_msg,'','no');
		}
	}
	
	function add_record()
	{
		$this->form_validation->set_rules("cat_name","分类名称","trim|required");
		$tx_msg="";
		if($this->form_validation->run()==FALSE)
		{
			$tx_msg.=validation_errors();
			echo_msg($tx_msg);
		}
		if($this->Industry_catalog_model->add_record())
		{
			
			$tx_msg="<li>记录添加成功.</li>";
			echo_msg($tx_msg,'','yes');
		}
		else
		{
			$tx_msg="<li>记录添加失败.</li>";
			echo_msg($tx_msg);
		}
	}
	
	function sort_record()
	{
		$this->form_validation->set_rules("rd_id","排序项","required");
		if($this->form_validation->run()==FALSE)
		{
			$tx_msg=validation_errors();
			echo_msg($tx_msg);
		}

		if($this->Industry_catalog_model->sort_record())
		{
			
			$tx_msg="<li>记录排序成功.</li>";
			echo_msg($tx_msg,'','yes');
		}
		else
		{
			$tx_msg="<li>记录排序失败.</li>";
			echo_msg($tx_msg);
		}
	}
	
	function edit_record()
	{
		$rd_id=$this->uri->segment(4,0);
		if(!$rd_id) 
		{
			$tx_msg="<li>ID参数有误.</li>";
			echo_msg($tx_msg);
		}
		$edit_data=$this->Industry_catalog_model->get_record($rd_id);
		$data=array(
			'edit_data'=>$edit_data,
			'catalog_list'=>$this->Industry_catalog_model->get_records()
		);
		$this->load->view(TPL_FOLDER."Industry_catalog_edit",$data);
	}
	
	function save_record()
	{
		$this->form_validation->set_rules("cat_name","分类名称","trim|required");
		$this->form_validation->set_rules("rd_id","记录ID","trim|integer");
		$tx_msg="";
		if($this->form_validation->run()==FALSE)
		{
			$tx_msg.=validation_errors();
			echo_msg($tx_msg);
		}
		if($this->Industry_catalog_model->save_record())
		{
			
			$tx_msg="<li>记录修改成功.</li>";
			echo_msg($tx_msg,site_url(CTL_FOLDER."Industry_catalog"),'yes');
		}
		else
		{
			$tx_msg="<li>记录修改失败.</li>";
			echo_msg($tx_msg);
		}
	}
	
	function del_record()
	{
		$this->form_validation->set_rules("rd_id","删除的记录","required");
		if($this->form_validation->run()==FALSE)
		{
			$tx_msg=validation_errors();
			echo_msg($tx_msg);
		}
		if($this->Industry_catalog_model->del_record())
		{
			
			$tx_msg="<li>记录删除成功.</li>";
			echo_msg($tx_msg,'','yes');
		}
		else
		{
			$tx_msg="<li>记录删除失败.</li>";
			echo_msg($tx_msg);
		}
	}
}
?>